<?php
add_shortcode( 'products_slider', 'wcpscwc_products_slider' );
function wcpscwc_products_slider($atts){
 
	global $woocommerce_loop;
 
	extract(shortcode_atts(array(
		'cats' 				=> '',
		'design' 			=> '',		
		'tax' 				=> 'product_cat',	
		'limit' 			=> '-1',	
		'slide_to_show' 	=> '3',
		'slide_to_scroll' 	=> '3',
		'autoplay' 			=> 'true',
		'autoplay_speed' 	=> '3000',
		'speed' 			=> '300',
		'arrows' 			=> 'true',
		'dots' 				=> 'true',
		'rtl'  				=> '',
		'slider_cls'		=> 'products',
	), $atts));
	
	$unique = wcpscwc_get_unique();
	
	$cat 		= (!empty($cats)) ? explode(',',$cats) 	: '';
	$slider_cls = !empty($slider_cls) ? $slider_cls : 'products';
	$design 	= !empty($design) ? $design : '';
	
	// For RTL
	if( empty($rtl) && is_rtl() ) {
		$rtl = 'true';
	} elseif ( $rtl == 'true' ) {
		$rtl = 'true';
	} else {
		$rtl = 'false';
	}
	
	// js added
	wp_enqueue_script( 'wpos-slick-jquery' );
	wp_enqueue_script( 'wcpscwc-public-jquery' );
	
	// Slider configuration
	$slider_conf = compact('slide_to_show', 'slide_to_scroll', 'autoplay', 'autoplay_speed', 'speed', 'arrows','dots', 'rtl', 'slider_cls'); 
	ob_start();	 
	// setup query
	$args = array(
		'post_type' 			=> 'product',
		'post_status' 			=> 'publish',
		'ignore_sticky_posts'   => 1,
		'posts_per_page'		=> $limit,			
	);
	// Category Parameter
	if($cat != "") {			
		$args['tax_query'] = array(
									array( 
											'taxonomy' 	=> $tax,
											'field' 	=> 'id',
											'terms' 	=> $cat
								));

	}		
		
	// query database
	$products = new WP_Query( $args );		

	if ( $products->have_posts() ) : ?>
		<div class="owl-carousel new-product-slider featured-carousel owl-theme">
			<?php 
			//woocommerce_product_loop_start();  
			while ( $products->have_posts() ) : $products->the_post(); 
			
				$wcps_thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'medium' );
				$wcps_thumb_url = $wcps_thumb['0'];
				
				if(empty($wcps_thumb_url)){
					$wcps_thumb_url = get_stylesheet_directory_uri().'/images/no-thumb.png';
				}
				
				$currency = get_woocommerce_currency_symbol();
				
				$sale_price = get_post_meta( get_the_ID(), '_sale_price', true);
				
				$price = $currency.get_post_meta( get_the_ID(), '_regular_price', true);
				
				$permalink = get_permalink();
				
				$title_text = apply_filters( 'wcps_filter_title', get_the_title(get_the_ID()) );
				
				$price_text = apply_filters( 'wcps_filter_price', $price );
				
				$html_cart = apply_filters( 'wcps_filter_cart', do_shortcode('[add_to_cart id="'.get_the_ID().'"]') );
			?>
			<div class="slide item">
                <div class="pro-cover">
			<?php
				/*if(wcpscwc_wc_version()){
					wc_get_template_part( 'content', 'product' ); 
				} else{
					woocommerce_get_template_part( 'content', 'product' ); 
				}*/
			?>
					<div class="pro-image"><?php echo '<a href="'.$permalink.'"><img alt="'.get_the_title().'" src="'.$wcps_thumb_url.'" /></a>';?></div>
					<p class="pro-title"><?php echo '<a href="'.$permalink.'" class="pro-name">'.$title_text.'</a>';?></p>
					<div class="pro-price"><strong><?php echo strip_tags($price_text);?></strong></div>
					<?php echo str_replace("<a ", '<a class="btn-small add-cart-btn"', strip_tags($html_cart, "<a><span>"));?>
					<div class="clear"></div>
				</div>
			</div>
			<?php
			endwhile; // end of the loop.  
			//woocommerce_product_loop_end(); ?>
		</div>
	<?php 
	endif; 
	wp_reset_postdata();	
	return ob_get_clean(); 
}