<div class="wrap">
    <?php if ($successMessage): ?>
        <div class="updated"><p><?php echo $successMessage; ?></p></div>
    <?php endif; ?>
    <?php if ($errorMessage): ?>
        <div class="error"><p><?php echo $errorMessage; ?></p></div>
    <?php endif; ?>

    <div class="welcome-panel">
        <h3>Getting Started</h3>
        <p>Create a Square account if you don't have one</p>

        <p>You need a Square account to register an application with Square. If you don't have an account, go to <a target="_blank" href="https://squareup.com/signup">https://squareup.com/signup</a> to create one.
            Register your application with Square
        </p>

        <p>
            Then go to <a  target="_blank" href="https://connect.squareup.com/apps">https://connect.squareup.com/apps</a> and sign in to your Square account. Then <b>click New Application</b> and enter a name for your application and Create App.

            The application dashboard displays your new app's credentials. One of these credentials is the personal access token. This token gives your application full access to your own Square account. 
        </p>
        
           <form method="post">
            <table class="form-table">
                <tbody>
                    <tr>
                        <th><strong>Live/Sandbox Access Token</strong></th>
                        <td>
                            <input class="regular-text" value="<?php echo (isset($_POST['woo_square_access_token'])) ? $_POST['woo_square_access_token'] : get_option('woo_square_access_token'); ?>" name="woo_square_access_token" type="text"/>
                        </td>
                    </tr>
					<tr>
                        <th><strong>Live/Sandbox Application ID</strong></th>
                        <td>
                            <input class="regular-text" value="<?php echo (isset($_POST['woo_square_app_id'])) ? $_POST['woo_square_app_id'] : get_option('woo_square_app_id'); ?>" name="woo_square_app_id" type="text"/>
                        </td>
                    </tr>
                </tbody>
            </table>
            <p class="submit">
                <input type="submit" value="Authorize" class="button button-primary">
            </p>
        </form>
    </div>

    <?php if (get_option('woo_square_access_token')): ?>

        <div class="welcome-panel">
            <h3>Woo Square Settings</h3>
            <?php if ( $currencyMismatchFlag ){ ?>
                <br/>
                <div id="woo_square_error" class="error" style="background: #ddd;">
                    <p style="color: red;font-weight: bold;">The currency code of your Square application [ <?php echo $squareCurrencyCode ?> ] does not match WooCommerce [ <?php echo $wooCurrencyCode ?> ]</p>
                </div>
            <?php }?>
            <form method="post" <?php if ($currencyMismatchFlag): ?> style="opacity:0.5;pointer-events:none;" <?php endif; ?> >
                <input type="hidden" value="1" name="woo_square_settings" />
                <table class="form-table">
                    <tbody>
                        <?php if (get_option('woo_square_location_id') != '' && get_option('woo_square_location_id') != 'me' ): ?>
                            <tr>
                                <th scope="row"><label>Select Location</label></th>
                                <td>
                                        <select name="woo_square_location_id">
                                            <?php foreach (get_option('woo_square_locations') as $key => $location):?>
                                                    <option <?php if (get_option('woo_square_location_id') == key($location)): ?>selected=""<?php endif; ?> value="<?php echo key($location); ?>"> <?php echo $location[key($location)]; ?> </option>
                                            <?php endforeach; ?>
                                        </select>
                                </td>
                            </tr>
                        <?php endif; ?>
                        
                        
                        


                    </tbody>
                </table>
                <p class="submit">
                    <input type="submit" value="Save Changes" class="button button-primary">
                </p>
            </form>

        </div>
		
		
	
	
		
	</div>
			
<?php endif; ?>

    <div class="welcome-panel txtcn">
        <h2 class='alncnt'> <a  target="_blank"href="https://goo.gl/LEJeQG" >WOOSQUARE PRO - WOOCOMMERCE AND SQUARE ULTIMATE INTEGRATION PLUGIN </a></h2>
        <p><h3>If you are looking for more functionality from Square api like synchronizing products between woocommerce and square and synchronizing order from square to woocommerce 
        and much more you can try our  <a  target="_blank"href="https://goo.gl/LEJeQG" >WooSquare Pro - WooCommerce Square Integration plugin</a>.</h3></p>
    </div>