<?php
// Remove WP Version From Styles	
add_filter( 'style_loader_src', 'sdt_remove_ver_css_js', 9999 );
// Remove WP Version From Scripts
add_filter( 'script_loader_src', 'sdt_remove_ver_css_js', 9999 );

// Function to remove version numbers
function sdt_remove_ver_css_js( $src ) {
	if ( strpos( $src, 'ver=' ) )
		$src = remove_query_arg( 'ver', $src );
	return $src;
}

register_sidebar( array(
	'name' => __( 'Header Social ', 'wpcanvas2' ),
	'id' => 'social-header',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

register_sidebar( array(
	'name' => __( 'Home Hero Slider ', 'wpcanvas2' ),
	'id' => 'homepage-banner',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

register_sidebar( array(
	'name' => __( 'Home Category Banners', 'wpcanvas2' ),
	'id' => 'homepage-four-banner',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

register_sidebar( array(
	'name' => __( 'Slider: Featured Products', 'wpcanvas2' ),
	'id' => 'slider-featured-products',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

register_sidebar( array(
	'name' => __( 'Slider: New Products', 'wpcanvas2' ),
	'id' => 'slider-new-products',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );
register_sidebar( array(
	'name' => __( 'Customer Reviews', 'wpcanvas2' ),
	'id' => 'home-review-slider',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

register_sidebar( array(
	'name' => __( 'Reef2Reef Banner', 'wpcanvas2' ),
	'id' => 'reefrreef-banner-home',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '',
	'after_widget' => '',
	'before_title' => '',
	'after_title' => '',
) );

register_sidebar( array(
	'name' => __( 'Footer: Newsletter', 'wpcanvas2' ),
	'id' => 'section-newsletter',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

register_sidebar( array(
	'name' => __( 'Menu: Category', 'wpcanvas2' ),
	'id' => 'categories-menu',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

register_sidebar( array(
	'name' => __( 'Menu: Corals', 'wpcanvas2' ),
	'id' => 'corals-menu',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

register_sidebar( array(
	'name' => __( 'Footer: Social', 'wpcanvas2' ),
	'id' => 'footer-social-section',
	'description' => __( ' ', 'wpcanvas2' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h3 class="widget-title">',
	'after_title' => '</h3>',
) );

class WooSubscribeCheckbox {

	// add hooks into WooCommerce
	public static function run() {
		add_filter('woocommerce_checkout_fields',
				array(__CLASS__, 'filterWooCheckoutFields'));

		add_action('woocommerce_checkout_update_order_meta',
				array(__CLASS__, 'actionWooCheckoutUpdateOrderMeta'));

		add_filter('woocommerce_email_order_meta_keys',
				array(__CLASS__, 'filterWooEmailOrderMetaKeys'));
	}

	/**
	 * add custom fields to WooCommerce checkout
	 * @param array fields
	 * @return array
	 */
	public static function filterWooCheckoutFields($fields) {
		global $woocommerce;

		// add field at end of billing fields section
		$fields['billing']['receive_your_newsletter'] = array(
				'type' => 'checkbox',
				'label' => 'I\'d like to receive your newsletter',
				'placeholder' => 'I\'d like to receive your newsletter',
				'required' => false,
				'class' => array(),
				'label_class' => array(),
		);
		
		$fields['billing']['receive_special_offer'] = array(
				'type' => 'checkbox',
				'label' => 'I\'d like to receive special offers',
				'placeholder' => 'I\'d like to receive special offers',
				'required' => false,
				'class' => array(),
				'label_class' => array(),
		);
		
		return $fields;
	}

	/**
	 * save custom order fields
	 * @param int $order_id
	 */
	public static function actionWooCheckoutUpdateOrderMeta($order_id) {
		
		$subscribe = isset($_POST['receive_your_newsletter']) ? 'yes' : 'no';
		update_post_meta($order_id, 'I\'d like to receive your newsletter', $subscribe);
		
		$list1 = '0';
		if($subscribe == "yes"){
			$list1 = '1';
		}
		
		$subscribe = isset($_POST['receive_special_offer']) ? 'yes' : 'no';
		update_post_meta($order_id, 'I\'d like to receive special offers', $subscribe);
		
		$list2 = '0';
		if($subscribe == "yes"){
			$list2 = '1';
		}
		
		if($list1 == "1" || $list2 == 1){
			
			$email = $_POST['billing_email'];
			
			$newsletter = Newsletter::instance();
			$user = $newsletter->get_user($email);
			
			$opt_in = 1;
			$status = 'C';
			
			if ($user != null) {
				
				// Bounced
				if ($user->status == 'B') {
					// Non persistent status to decide which message to show (error)
					$user->status = 'E';
					return $user;
				}
				
			}
			
			if ($user != null) {
				$user = array('id' => $user->id);
				$user['list_1'] = $list1;
				$user['list_2'] = $list2;
			} else {
				$user = array('email' => $email);
				if($list1 == "1" || $list2 == 1){
					$user['list_1'] = $list1;
					$user['list_2'] = $list2;
				}
			}
				
			//$user = $this->update_user_from_request($user);
			
			$newsletter = Newsletter::instance();
			$options = get_option('newsletter', array());
			
			$options_profile = get_option('newsletter_profile', array());
			
			// From the antibot form
			if (isset($_REQUEST['nhr'])) {
				$user['http_referer'] = strip_tags(trim($_REQUEST['nhr']));
			} else if (isset($_SERVER['HTTP_REFERER'])) {
				$user['http_referer'] = strip_tags(trim($_SERVER['HTTP_REFERER']));
			}
			
			if (strlen($user['http_referer']) > 200) $user['http_referer'] = substr($user['http_referer'], 0, 200);
			
			
			$user['token'] = $newsletter->get_token();
			$user['ip'] = $_SERVER['REMOTE_ADDR'];
			if ($status != null) {
				$user['status'] = $status;
			} else {
				$user['status'] = $opt_in == 1 ? 'C' : 'S';
			}
			
			$user = apply_filters('newsletter_user_subscribe', $user);
			
			$user = $newsletter->save_user($user);
			
			// Notification to admin (only for new confirmed subscriptions)
			if ($user->status == 'C') {
				do_action('newsletter_user_confirmed', $user);
			}
		}
	}

	/**
	 * add our custom fields to WooCommerce order emails
	 * @param array $keys
	 * @return array
	 */
	public static function filterWooEmailOrderMetaKeys($keys) {
		$keys[] = 'I\'d like to receive your newsletter';
		$keys[] = 'I\'d like to receive special offers';

		return $keys;
	}

}

WooSubscribeCheckbox::run();