<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 1.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
    <base href="<?php echo get_site_url(); ?>/">
<link
	href="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/css/grid-only.css"
	rel="stylesheet" type="text/css">
<link
	href="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/css/menu.css"
	rel="stylesheet" type="text/css">
<link
	href="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/css/woocommerce-custom.css"
	rel="stylesheet" type="text/css">
<link rel="stylesheet"
	href="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/owlcarousel/owl.carousel.min.css">
<link rel="stylesheet"
	href="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/owlcarousel/owl.theme.default.min.css">
<script type="text/javascript"
	src="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/js/menu.js"></script>
<script>
jQuery(document).ready(function(){
    jQuery('#search-trigger').click(function(event) {        
         jQuery('#Search-menu').toggle('show');
    });
});
</script>
<script type="text/javascript"
	src="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/js/common.js"></script>
<link rel="stylesheet"
	href="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/owlcarousel/owl.carousel.min.css">
<link rel="stylesheet"
	href="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/owlcarousel/owl.theme.default.min.css">
<!--<script src="jquery.min.js"></script> -->
<script
	src="<?php echo get_bloginfo('url');?>/wp-content/themes/ultimatecorals-child/owlcarousel/owl.carousel.min.js"></script>
<script>
jQuery(document).ready(function(){
 jQuery('.owl-carousel.banner-home').owlCarousel({
   dots: false,
    nav:true,
    margin:0,
    nav:true,
    responsive:{
        0:{
            items:1
        },
        600:{
            items:1
        },
        1000:{
            items:1
        }
    }
})
jQuery('.owl-carousel.featured-carousel').owlCarousel({
    loop:true,
    margin:15,
	pagination: false,
    nav:true,
    responsive:{
        0:{
            items:1
        },
        600:{
            items:3
        },
        1000:{
            items:5
        }
    }
})
jQuery('.owl-carousel.new-product-slider').owlCarousel({
    loop:true,
    margin:15,
	pagination: false,
    nav:true,
    responsive:{
        0:{
            items:1
        },
        600:{
            items:3
        },
        1000:{
            items:5
        }
    }
})

 jQuery('.owl-carousel.testimonails-home').owlCarousel({
    loop:true,
    margin:0,
	dots: false,
    nav:true,
	navigation: true,
	autoHeight: true,
    responsive:{
        0:{
            items:1
        },
        600:{
            items:1
        },
        1000:{
            items:1
        }
    }
})

});

</script>

</head>

<body <?php body_class(); ?>>

	<!-- Header Main Starts -->
	<div class="cover-header">
		<div class="header-main">
			<div class="header-top">
				<div class="outer-blue"></div>
				<div class="container">
					<div class="header-blue">
						<ul class="top-nav">
							<li class="price-hide">All prices are in USD <img src="<?php echo get_stylesheet_directory_uri();?>/images/usa.jpg" alt="US Dollor" title="US Dollor"></li>
							<li class="call-hide"><img src="<?php echo get_stylesheet_directory_uri();?>/images/call.png" alt="Call Us:" title="Call Us: 973-723-9917"> <strong>973-723-9917</strong></li>
							<li><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><img src="<?php echo get_stylesheet_directory_uri();?>/images/my-account.png" alt="" title=""> My Account</a></li>
							<?php /*?><li><a href="#"><img src="<?php echo get_stylesheet_directory_uri();?>/images/gift.png" alt="" title=""> Gift Certificates</a></li>*/?>
							<?php if (!is_user_logged_in()){ ?>
							<li><a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') );?>"><img src="<?php echo get_stylesheet_directory_uri();?>/images/sign-in.png" alt="" title=""> Sign in</a></li>
							<li><a href="<?php echo get_bloginfo('url');?>/register"><img src="<?php echo get_stylesheet_directory_uri();?>/images/create-account.png" alt="" title=""> Create an account</a></li>
							<?php }else{ ?>
							<li><a href="<?php echo wp_logout_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) );?>"><img src="<?php echo get_stylesheet_directory_uri();?>/images/sign-in.png" alt="" title=""> Sign out</a></li>
							<?php } ?>
							<li class="cart"><a href="<?php echo wc_get_cart_url(); ?>"><img src="<?php echo get_stylesheet_directory_uri();?>/images/cart.png" alt="" title=""> <span class="hide-cart">Cart </span>(<?php echo WC()->cart->get_cart_contents_count();?>)</a></li>
						</ul>
						<div class="clear"></div>
					</div>
				</div>
				<div class="container">
					<a href="<?php echo get_bloginfo( 'url' ); ?>" class="logo"><img src="<?php echo get_stylesheet_directory_uri();?>/images/Ultimate-Corals-logo.png" alt="Ultimate Corals" title="Ultimate Corals"></a>
					<div class="menutrigger">
						<button class="c-hamburger c-hamburger--htx">
							<span>Toggle Menu</span>
						</button>
					</div>
					<div class="utility-box">
						<!-- Search Menu -->
						<div class="search-cover">
							<span id='search-trigger'><img src="<?php echo get_stylesheet_directory_uri();?>/images/search-trigger.png" alt=""></span>
							<div id='Search-menu'>
								<form role="search" method="get" id="searchform" class="searchform" action="#">
									<input type="text" placeholder="Search" class="search-feild" value="" name="s" id="s">
									<input type="submit" class="submit-btn" id="searchsubmit" value="">
								</form>
							</div>
						</div>
						<!-- Search Menu Ends -->
						<span class="header-social">
							<?php dynamic_sidebar( 'social-header' ); ?>
						</span>
					</div>
					<div class="menumn">
						<div class="">
							<div id="cssmenu01" class="pagemn">
              					<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
            					<div class="menu-header-menu-container"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Header Main Ends -->