<?php
/**
 * Template Name: Front Page Template
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

<!-- Banner Starts -->
<div class="banner-main">
  <?php dynamic_sidebar( 'homepage-banner' ); ?>
</div>
<!-- Banner Ends --> 	

<!-- Four Box Starts  -->
<div class="section-full-small four-box-main">
  <div class="container">
    <div class="row">
      <?php dynamic_sidebar( 'homepage-four-banner' ); ?>
    </div>
</div>
<!-- Four Box Ends  --> 

<!-- Product Slider Starts -->
<div class="section-full gray-bg slider-section">
  <div class="container">
    <h1 class="h1-title"><span>Featured Products</span></h1>
    <?php dynamic_sidebar( 'slider-featured-products' ); ?>
    
    <div class="clear">
      <hr class="blank">
    </div>
    <h1 class="h1-title"><span>New Products</span></h1>
    <?php dynamic_sidebar( 'slider-new-products' ); ?>
  </div>
</div>
<!-- Product Slider Ends -->

<!-- Customer Section Starts -->
<div class="section-full">
  <div class="container">
    <div class="cover-testimonails">
      <div class="text-center quote-image"><img src="wp-content/themes/ultimatecorals-child/images/quote.png" alt=""></div>
      <?php dynamic_sidebar( 'home-review-slider' ); ?>
    </div>
  </div>
</div>
<!-- Customer Section Ends --> 

<!-- Ad Banner Section starts -->
<?php /*?>
<div class="container">
  <div class="shine-image1 ad-banner">
  <?php dynamic_sidebar( 'reefrreef-banner-home' ); ?>
  </div>
</div>*/?>
<!-- Ad Banner Section Ends -->



<?php //get_sidebar( 'front' ); ?>
<?php get_footer(); ?>